Subject: bug#63283: closed (Re: bug#63283: Emacs crash within fontset)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 09 May 2023 05:26:02 +0000

Your bug report

#63283: Emacs crash within fontset

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
63283: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=63283
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#63283: Emacs crash within fontset
From: Eli Zaretskii <[email-masked]>
To: Seppo Ronkainen <[email-masked]>
Cc: [email-masked]
Date: Tue, 09 May 2023 08:26:02 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Mon, 08 May 2023 21:22:21 +0000
> From: Seppo Ronkainen <[email-masked]>
> Cc: [email-masked]
> 
> Your suggested patch successfully avoided the abort, great !
> 
> Where the abort would previously occur now instead the buffer renders all characters with four digit code point rectangular representations which I would consider preferable to an abort the entire emacs server session with thirty or so windows. Tested with visiting a large file emacs/src/xdisp.c and Emacs swapps back to render regular characters when text is scaled back. I would vote for your suggested fix, well done thank you !

Displaying the characters as hex codes is the expected behavior in
this case, since Emacs is unable to find a font that suits its needs.

So I've now installed the change on the emacs-29 branch, and I'm
closing the bug.

Thanks.

Subject: Emacs crash within fontset
From: Seppo Ronkainen <[email-masked]>
To: bug-gnu-emacs <[email-masked]>
Date: Thu, 04 May 2023 19:04:48 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Honorable GNU developers !

For some reason the new Emacs 29.0.90 did not build at work the other day unless I provided configuration option --without-all (I plan to look into why later but that is not why I am writing this report now).

When I experimented with Emacs (29.0.90 --without-all) I noticed a crash defect that was easy to reproduce. It seemed to have with fonts to do. I have noticed the same problem both at work CentOS 7.9 and at home (currently on a raspberry pi 4) not that it matters but anyhow several machines / architectures. The problem seemed non-present when I built Emacs without configuration option --without-all

I attach details about my findings in an org file, hope it helps

Live long and prosper